Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024680
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2013-09-03 14:532013-09-17 19:02
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revisiond9b490f70ad2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024680: Improve performance of translation import - part2

DescriptionThe translation import code is doing a commit per inserted translation row. That is very inefficient for performance.

Doing 1 commit per imported file does improve performance a lot.
Steps To ReproduceInstall i.e. spanish core translation module and observe runtime of the part importing translation into the database.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00245333.0MP27 closedshuehner Improve performance of translation import 

-  Notes
(0060917)
hgbot (developer)
2013-09-04 15:51

Repository: erp/devel/pi
Changeset: d9b490f70ad2976ec248bcaf37ae8cf53e252847
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Wed Sep 04 15:49:58 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d9b490f70ad2976ec248bcaf37ae8cf53e252847 [^]

Fixed 24680: Speed up translation import by not doing commits per _trl row.
This commit changes translation import to not do an implicit commit per row
updated but bigger transaction + a single commit per imported xml file.
This speed ups translation import greatly.

---
M src/org/openbravo/erpCommon/ad_forms/TranslationHandler.java
M src/org/openbravo/erpCommon/ad_forms/TranslationManager.java
---
(0060919)
shuehner (administrator)
2013-09-04 15:53

Testing done:
preparation: install spanish core translations
- ant apply.module (on postgres + oracle)
Rest of tests only done on postgres as there is no special need to repeat on both db's
- export translation to attachment folder via application (import/export translation window)
- import translation via same window
- install 'Translation management extension' module
- Use export+import using that module for the module containing the spanish core translation (two new buttons in module window).
(0061123)
alostale (developer)
2013-09-13 07:55

Code reviewed + tested in Oracle and PG
(0061217)
hudsonbot (developer)
2013-09-17 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-03 14:53 shuehner New Issue
2013-09-03 14:53 shuehner Assigned To => shuehner
2013-09-03 14:53 shuehner Modules => Core
2013-09-03 14:53 shuehner Triggers an Emergency Pack => No
2013-09-03 14:54 shuehner Relationship added related to 0024533
2013-09-04 15:51 hgbot Checkin
2013-09-04 15:51 hgbot Note Added: 0060917
2013-09-04 15:51 hgbot Status new => resolved
2013-09-04 15:51 hgbot Resolution open => fixed
2013-09-04 15:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d9b490f70ad2976ec248bcaf37ae8cf53e252847 [^]
2013-09-04 15:53 shuehner Review Assigned To => alostale
2013-09-04 15:53 shuehner Note Added: 0060919
2013-09-04 15:53 alostale Tag Attached: Performance
2013-09-13 07:55 alostale Note Added: 0061123
2013-09-13 07:55 alostale Status resolved => closed
2013-09-13 07:55 alostale Fixed in Version => 3.0MP28
2013-09-17 19:02 hudsonbot Checkin
2013-09-17 19:02 hudsonbot Note Added: 0061217


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker